# GimelBot

**GimelBot** is an IRC bot written in Game Maker 8. The GimelBot project succeeded [PyBot](https://forge.monarch-pass.net/Ikewise/pybot).

## Name and Icon

"GimelBot" is a reference to the fact that it's written in *Game Maker Language* (GML), as well as the Phoenician letter ["gimel"](https://en.wikipedia.org/wiki/Gimel) which preceded the Greek "gamma". The icon is in turn based on the [throwing stick](https://en.wikipedia.org/wiki/Throw_stick_(hieroglyph)) hieroglyph which preceded "gimel".

## Building

Requirements:
- [Gmk-Splitter](https://github.com/Medo42/Gmk-Splitter) by Medo42
- [Faucet Networking Extension](https://github.com/Medo42/Faucet-Networking-Extension) by Medo42
- Game Maker 8

The `src` folder must be reassembled into a `.gmk` file using gmk-splitter then exported with GM8.

## Credits

[numPrefix();](http://forums.tigsource.com/index.php?topic=3142.msg273598#msg273598) by xerus

[string_parse_single();](http://www.gmlscripts.com/script/string_parse_single) by xot

[Editable Textbox](https://web.archive.org/web/20160120153229/http://gmc.yoyogames.com/index.php?showtopic=592186) and [Scrollbars](https://web.archive.org/web/20140629062217/http://www.stuffbydavid.com/examples/scrollbars) by David "Davve" Norgren
